Index: trunk/native/macosx/macos-jpackage.sh
===================================================================
--- trunk/native/macosx/macos-jpackage.sh	(revision 18138)
+++ trunk/native/macosx/macos-jpackage.sh	(revision 18146)
@@ -7,5 +7,5 @@
 # CERT_MACOS_PW   Password for that certificate
 
-set -Eeou pipefail
+set -Eeo pipefail
 
 # Don't show one time passwords
@@ -28,5 +28,5 @@
 then
     echo "CERT_MACOS_P12, CERT_MACOS_PW and APPLE_ID_PW are not set in the environment."
-    echo "I will create a JOSM.app but I won't attempt to sign and notarize it."
+    echo "A JOSM.app will be created but not signed nor notarized."
     SIGNAPP=false
 else
@@ -49,4 +49,6 @@
 fi
 
+set -u
+
 if $SIGNAPP; then
   JPACKAGEOPTIONS="--mac-sign --mac-signing-keychain $KEYCHAINPATH"
@@ -56,5 +58,5 @@
 
 echo "Building and signing app"
-    jpackage $JPACKAGEOPTIONS -n "JOSM" --input dist --main-jar josm-custom.jar \
+jpackage $JPACKAGEOPTIONS -n "JOSM" --input dist --main-jar josm-custom.jar \
     --main-class org.openstreetmap.josm.gui.MainApplication \
     --icon ./native/macosx/JOSM.icns --type app-image --dest app \
